<main>
    <div class="grid-container" *ngIf="currentItemType == null">
        <h2>Meubles</h2>
        <div class="catalog">
            <a routerLink="{{ getItemTypeRoute(itemType) }}" class="item" *ngFor="let itemType of itemTypes">
                <span class="image">
                    <img src="{{ itemType.imageSrc }}" alt="{{ itemType.name }}" />
                </span>
                <span class="name">{{ itemType.name }}</span>
            </a>
        </div>
    </div>

    <div class="grid-container" *ngIf="currentItemType">
        <h2>{{ currentItemType.name }}</h2>
        <div class="catalog">
            <a routerLink="/{{ getProductRoute(product) }}" class="item" *ngFor="let product of products">
                <span class="image">
                    <img src="{{ product.imageSrc }}" alt="{{ product.name }}" />
                </span>
                <div class="product-infos">
                    <span class="name">{{ product.name }}</span>
                    <span class="price">{{ product.price }}€</span>
                </div>
            </a>
        </div>
    </div>
</main>